Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 4079)
+++ src/perl/register-dataset.cgi	(revision 4080)
@@ -2224,7 +2180,7 @@
                 my $tempValue = findValue($node,'../organizationName');
                 $wg[scalar(@wg)] = $tempValue;
             }
-            my $projects = getProjectList();
+            my $projects = getProjectList($database);
             $$templateVars{'projects'} = $projects;
             $$templateVars{'wg'} = \@wg;
         }
@@ -2266,7 +2222,7 @@
                     $$templateVars{"origNamefirst$aoCount"} =  findValue($tempNode, './givenName');
                     $$templateVars{"origNamelast$aoCount"} =  findValue($tempNode, './surName');
                     $$templateVars{"origRole$aoCount"} = findValue($tempNode, '../role');
-                    $aoCount++;
+                    $aoCount++;           
                 }
             }
      }
@@ -2317,11 +2273,12 @@
 
     my $count = 1;
     foreach $node ($results->get_nodelist) {
-        $tempResult = $node->findnodes('./keyword');
+    $tempResult = $node->findnodes('./keyword');
+    if ($tempResult->size() > 1) {
+        errMoreThanOne("keyword");
+    } else {
         foreach $tempNode ($tempResult->get_nodelist) {
             $$templateVars{"keyword$count"} = $tempNode->textContent();
-            $$templateVars{"kwTh$count"} = findValue($node, "keywordThesaurus");
-
             if ($tempNode->hasAttributes()) {
                 my @attlist = $tempNode->attributes();
                 my $tmp = $attlist[0]->value;  #convert the first letter to upper case
@@ -2328,9 +2285,11 @@
                 $tmp =~ s/\b(\w)/\U$1/g;
                 $$templateVars{"kwType$count"} = $tmp;
             }
-            $count++;
         }
     }
+    $$templateVars{"kwTh$count"} = findValue($node, "keywordThesaurus");
+        $count++;
+    }
     $$templateVars{'keyCount'} = $count;
     if($count > 0 ){
        $$templateVars{'hasKeyword'} = "true";
@@ -2550,12 +2509,12 @@
             dontOccur($node, "../positionName|../onlineURL|../userId", 
               "positionName, onlineURL, userId in contact tag");
             dontOccur($node, "./saluation", "saluation in contact tag");                
-
+        
             $tempResult = $node->findnodes('../address|../phone|../electronicmailAddress|../organizationName');
             if ($tempResult->size > 0) {
                 $$templateVars{'origNamefirstContact'} = findValue($node, 'givenName');
                 $$templateVars{'origNamelastContact'} = findValue($node, 'surName');
-
+    
                 my $tempResult2 = $node->findnodes('../address');
                 if ($tempResult2->size > 1) {
                     errMoreThanOne("address");
@@ -2568,7 +2527,7 @@
                         $$templateVars{'origCountryContact'} = findValue($tempNode2, 'country');
                     }
                 }
-
+            
                 my $tempResult3 = $node->findnodes('../phone');
                 if ($tempResult3->size > 2) {
                     errMoreThanN("phone");
@@ -2593,9 +2552,6 @@
                 $$templateVars{'origNamelastContact'} = findValue($node, 'surName');
                 $$templateVars{'origNameOrgContact'} = findValue($node, '../organizationName');
             }
-            $$templateVars{'origEmail'} = findValue($node, '../electronicMailAddress');
-            $$templateVars{'origNameOrg'} = findValue($node, '../organizationName');
-
         }
     }
     
@@ -2708,12 +2664,12 @@
    
     ########################################################
 
+
     dontOccur($doc, "./dataTable", "dataTable");
     dontOccur($doc, "./spatialRaster", "spatialRaster");
     dontOccur($doc, "./spatialVector", "spatialVector");
     dontOccur($doc, "./storedProcedure", "storedProcedure");
     dontOccur($doc, "./view", "view");
-
     dontOccur($doc, "./otherEntity", "otherEntity");
     dontOccur($doc, "./references", "references");
     
@@ -2840,7 +2796,7 @@
 
     $$templateVars{'function'} = "deleted";
     $$templateVars{'section'} = "Deletion Status";
-    $template->process( $responseTemplate, $templateVars);
+    $template->process( $templates->{'response'}, $templateVars);
     }
 }
 
@@ -2862,47 +2818,47 @@
         my $returnVal = $metacat->login($username,$password);
         debug("Registry: Login was $returnVal for login attempt to $metacatUrl, with $username");
         if($returnVal > 0){
-		# valid username and passwd
-		# create a new session and store username and passswd
-		$session = new CGI::Session();
+            # valid username and passwd
+            # create a new session and store username and passswd
+            $session = new CGI::Session();
 
-		$session->param('username', $username);
-		$session->param('password', $password);
-		
-		if($returnVal == 2 || $returnVal == 4){
-			# is a moderator. store this information in the session
-			$session->param('moderator', 'true');	
-		}
+            $session->param('username', $username);
+            $session->param('password', $password);
+    
+            if($returnVal == 2 || $returnVal == 4){
+                # is a moderator. store this information in the session
+                $session->param('moderator', 'true'); 
+            }
 
-		# send redirect to metacat and action = login
-		my $html = "<html><head>";
-    		$html .= "</head><body onload=\"document.loginForm.submit()\">";
-		$html .= "<form name=\"loginForm\" method=\"post\" action=\"@systemidserver@@servlet-path@\">";
-		$html .= "<input type=\"hidden\" name=\"action\" value=\"login\" />";
-		$html .= "<input type=\"hidden\" name=\"username\" value=\"".$FORM::username."\" />";
-		$html .= "<input type=\"hidden\" name=\"password\" value=\"".$FORM::password."\" />";
-		$html .= "<input type=\"hidden\" name=\"qformat\" value=\"".$FORM::cfg."\" />";
-		$html .= "</form></body></html>";
-		print $session->header();
-		print $html;
-	} else {
-		# send back the error template with error message as wrong username password
-		# push(@errorMessages, $metacat->getMessage());
-		print "Content-type: text/html\n\n";
-        	push(@errorMessages, "Failed during login.\n");
-        	$$templateVars{'status'} = 'login_failure';
-        	$$templateVars{'errorMessages'} = \@errorMessages;
-        	$$templateVars{'cfg'} = $FORM::cfg;
-        	$$templateVars{'section'} = "Login Status";
-        	$template->process( $responseTemplate, $templateVars);
-	}
+            # send redirect to metacat and action = login
+            my $html = "<html><head>";
+            $html .= "</head><body onload=\"document.loginForm.submit()\">";
+            $html .= "<form name=\"loginForm\" method=\"post\" action=\"". $metacatUrl ."\">";
+            $html .= "<input type=\"hidden\" name=\"action\" value=\"login\" />";
+            $html .= "<input type=\"hidden\" name=\"username\" value=\"".$FORM::username."\" />";
+            $html .= "<input type=\"hidden\" name=\"password\" value=\"".$FORM::password."\" />";
+            $html .= "<input type=\"hidden\" name=\"qformat\" value=\"".$FORM::cfg."\" />";
+            $html .= "</form></body></html>";
+            print $session->header();
+            print $html;
+        } else {
+            # send back the error template with error message as wrong username password
+            # push(@errorMessages, $metacat->getMessage());
+            print "Content-type: text/html\n\n";
+            push(@errorMessages, "Failed during login.\n");
+            $$templateVars{'status'} = 'login_failure';
+            $$templateVars{'errorMessages'} = \@errorMessages;
+            $$templateVars{'cfg'} = $FORM::cfg;
+            $$templateVars{'section'} = "Login Status";
+            $template->process( $templates->{'response'}, $templateVars);
+        }
 
-        exit(0);
+    exit(0);
     } else {
         # session found ... redirect to index page
-        my $url = "@systemidserver@@style-skins-path@/".$FORM::cfg."/index.html";
-	redirect($url);
-	exit(0);
+        my $url = "$configDir/$FORM::cfg/index.html";
+        redirect($url);
+        exit(0);
    }
 }
 
@@ -2918,25 +2874,25 @@
     my $session = CGI::Session->load();
     if ( $session->is_empty || $session->is_expired) {
         # no session found ... send back to index.html page ... 
-	    debug("Session empty or not found");
-  	    my $url = "@systemidserver@@style-skins-path@/".$FORM::cfg."/index.html";
-	    redirect($url);
+        debug("Session empty or not found");
+        my $url = "$configDir/$FORM::cfg/index.html";
+        redirect($url);
         # should logout request be sent to metacat??? 
-	} else {
-	    # get the user name and delete the session
-	    debug("Session found");
-  	    my $uname = $session->param("username");
-	    $session->delete();
-	    # send redirect to metacat and action = login
- 	    my $html = "<html><head>";
-   	    $html .= "</head><body onload=\"document.loginForm.submit()\">";
- 	    $html .= "<form name=\"loginForm\" method=\"post\" action=\"@systemidserver@@servlet-path@\">";
-	    $html .= "<input type=\"hidden\" name=\"action\" value=\"logout\" />";
-	    $html .= "<input type=\"hidden\" name=\"username\" value=\"".$uname."\" />";
-	    $html .= "<input type=\"hidden\" name=\"qformat\" value=\"".$FORM::cfg."\" />";
-	    $html .= "</form></body></html>";
-	    print($html);
-	}
+    } else {
+        # get the user name and delete the session
+        debug("Session found");
+        my $uname = $session->param("username");
+        $session->delete();
+        # send redirect to metacat and action = login
+        my $html = "<html><head>";
+        $html .= "</head><body onload=\"document.loginForm.submit()\">";
+        $html .= "<form name=\"loginForm\" method=\"post\" action=\"". $metacatUrl ."\">";
+        $html .= "<input type=\"hidden\" name=\"action\" value=\"logout\" />";
+        $html .= "<input type=\"hidden\" name=\"username\" value=\"".$uname."\" />";
+        $html .= "<input type=\"hidden\" name=\"qformat\" value=\"".$FORM::cfg."\" />";
+        $html .= "</form></body></html>";
+        print($html);
+    }
 }
 
 ################################################################################
@@ -2976,8 +2932,8 @@
     my $session = CGI::Session->load();
     if ( $session->is_empty || $session->is_expired) {
         # no session found ... send back to index.html page ... 
-	processResultTemplate($stage, 'failure', "Moderator is not logged in.\n");		
-	$returnValue = -1;
+        processResultTemplate($stage, 'failure', "Moderator is not logged in.\n");
+        $returnValue = -1;
     } 
 
     # check if logged in user is moderator
@@ -2984,14 +2940,14 @@
     my $moderator = $session->param("moderator");
     if ( $moderator ne 'true') {
         # no session found ... send back to index.html page ... 
-	debug("Logged in user is not moderator");
-	processResultTemplate($stage, 'failure', "Logged in user is not moderator.\n");		
-	$returnValue = -1;
+        debug("Logged in user is not moderator");
+        processResultTemplate($stage, 'failure', "Logged in user is not moderator.\n");
+        $returnValue = -1;
     } 
 
     if($returnValue eq 1){
-    	$modUsername = $session->param("username");
-    	$modPassword = $session->param("password");
+        $modUsername = $session->param("username");
+        $modPassword = $session->param("password");
     }
 
     return $returnValue;
@@ -2998,29 +2954,29 @@
 }
 
 sub handleRead {
-	my $docid = $FORM::docid;
-	my $errorMessage;
-	
-    	print "Content-type: text/html\n\n";
-		
-	# Check if the session exists
-	my $session = CGI::Session->load();
-    	if ( $session->is_empty || $session->is_expired) {
-        	# no session found ... send back the regular read page ...
-       		my $url = "@systemidserver@@style-skins-path@/".$FORM::cfg."/index.html";
-	        redirect($url);
-    	} else {
-		my $htmldoc = "";
-		$htmldoc .= "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Frameset//EN\" \"http://www.w3.org/TR/html4/frameset.dtd\">";
-		$htmldoc .= "<html><head><title>Dataset Description: ".$docid."</title><meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"></head>";
-		$htmldoc .= "<frameset rows=\"150,*\" cols=\"*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
-		$htmldoc .= "<frame src=\"@systemidserver@@style-skins-path@/".$FORM::cfg."/header.jsp\" marginwidth=\"40\" name=\"topFrame\" scrolling=\"NO\" noresize>";
-		$htmldoc .= "<frameset cols=\"200,*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
-        	$htmldoc .= "<body></body><frame src=\"@cgi-prefix@/register-dataset.cgi?cfg=".$FORM::cfg."&stage=review_frame&docid=".$docid."\" name=\"rightFrame\" scrolling=\"NO\" noresize></frame>";
-        	$htmldoc .= "<frame src=\"@systemidserver@@servlet-path@?action=read&qformat=".$FORM::cfg."&docid=".$docid."&insertTemplate=0\" name=\"mainFrame\">";
-  		$htmldoc .= "</frameset></frameset></html>";
+    my $docid = $FORM::docid;
+    my $errorMessage;
 
-       		print $htmldoc;	
+    print "Content-type: text/html\n\n";
+
+    # Check if the session exists
+    my $session = CGI::Session->load();
+        if ( $session->is_empty || $session->is_expired) {
+            # no session found ... send back the regular read page ...
+       	    my $url = "$configDir/$FORM::cfg/index.html";
+       	    redirect($url);
+        } else {
+       	    my $htmldoc = "";
+       	    $htmldoc .= "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Frameset//EN\" \"http://www.w3.org/TR/html4/frameset.dtd\">";
+       	    $htmldoc .= "<html><head><title>Dataset Description: ".$docid."</title><meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"></head>";
+       	    $htmldoc .= "<frameset rows=\"150,*\" cols=\"*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
+       	    $htmldoc .= "<frame src=\"$configDir/$FORM::cfg/header.jsp\" marginwidth=\"40\" name=\"topFrame\" scrolling=\"NO\" noresize>";
+       	    $htmldoc .= "<frameset cols=\"200,*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
+       	    $htmldoc .= "<body></body><frame src=\"$cgiUrl?cfg=$FORM::cfg&stage=review_frame&docid=".$docid."\" name=\"rightFrame\" scrolling=\"NO\" noresize></frame>";
+       	    $htmldoc .= "<frame src=\"". $metacatUrl ."?action=read&qformat=".$FORM::cfg."&docid=".$docid."&insertTemplate=0\" name=\"mainFrame\">";
+            $htmldoc .= "</frameset></frameset></html>";
+
+       	    print $htmldoc;	
 	}
 } 
 
@@ -3038,7 +2994,7 @@
 	if ( $moderator eq 'true') {
 		$$templateVars{'isModerator'} = "true";
 	}
-	$template->process( $getReviewsTemplate, $templateVars);
+	$template->process( $templates->{'getReviews'}, $templateVars);
 }
 
 sub getReviewHistoryHTML {
@@ -3596,35 +3552,30 @@
 #
 ################################################################################
 sub mod_sendNotification {
-    my $title = shift;
-    my $contactEmailAddress = shift;
-    my $contactName = shift;
-    my $subject = shift;
+	my $title = shift;
+	my $contactEmailAddress = shift;
+	my $contactName = shift;
+	my $subject = shift;
 
-    debug($subject);
+	debug($subject);
     # send notification to the user and the moderator
-    my $templateVars = { 'stage' => $FORM::stage };
-    $$templateVars{'recipient'} = $recipient;
-    $$templateVars{'sender'} = $sender;
-    # form doesn't handle edit without revision; append
-    #my ($x, $y, $z) = split(/\./, $FORM::docid);
-    #my $docidWithoutRev = $x.".".$y;
-    #$$templateVars{'docid'} = $docidWithoutRev;
-    $$templateVars{'docid'} = $FORM::docid;
-    $$templateVars{'comment'} = $FORM::review;
-    $$templateVars{'contactName'} = $contactName;
-    $$templateVars{'dpTitle'} = $title;
+	my $templateVars = { 'stage' => $FORM::stage };
+	my ($x, $y, $z) = split(/\./, $FORM::docid);
+        my $docidWithoutRev = $x.".".$y;
+	$$templateVars{'docid'} = $docidWithoutRev;
+	$$templateVars{'comment'} = $FORM::review;
+	$$templateVars{'contactName'} = $contactName;
+	$$templateVars{'dpTitle'} = $title;
 
-    $$templateVars{'recipient_status'} = 'moderator';
-    sendNotification($mailhost, $sender, $recipient, $subject, 
-                            $modEmailNotificationTemplate, $templateVars);
-    if($contactEmailAddress ne ''){
-        # send notification to contact email address specified in cfg   
-        $$templateVars{'recipient'} = $contactEmailAddress;
-        $$templateVars{'recipient_status'} = 'user';
-        sendNotification($mailhost, $sender, $contactEmailAddress, 
-                $subject, $modEmailNotificationTemplate, $templateVars);
-    }
+	$$templateVars{'recipient_status'} = 'moderator';
+	sendNotification($email->{'sender'}, $email->{'recipient'}, $subject, 
+							$templates->{'modEmailNotification'}, $templateVars);
+	if($contactEmailAddress ne ''){
+		# send notification to contact email address specified in cfg   
+		$$templateVars{'recipient_status'} = 'user';
+		sendNotification($email->{'sender'}, $contactEmailAddress, 
+				$subject, $templates->{'modEmailNotification'}, $templateVars);
+	}
 }
 
 ################################################################################
@@ -3633,7 +3584,6 @@
 #
 ################################################################################
 sub sendNotification {
-    my $mailhost = shift;
     my $sender = shift;
     my $recipient = shift;
     my $subject = shift;
@@ -3640,7 +3590,7 @@
     my $templateForm = shift;
     my $templateVars = shift;
 
-    my $smtp = Net::SMTP->new($mailhost);
+    my $smtp = Net::SMTP->new($email->{'mailhost'});
     $smtp->mail($sender);
     $smtp->to($recipient);
 
@@ -3686,7 +3636,7 @@
 	}
     }
     $$templateVars{'message'} = $message;
-    $template->process($modResultTemplate, $templateVars);
+    $template->process($templates->{'modResult'}, $templateVars);
 }
 
 
@@ -3697,15 +3647,15 @@
 ################################################################################
 sub toConfirmData{
     # Check if any invalid parameters
-
+ 
     my $invalidParams;
     if (! $error) {
-        $invalidParams = validateParameters(0);
-        if (scalar(@$invalidParams)) {
-            $$templateVars{'status'} = 'failure';
-            $$templateVars{'invalidParams'} = $invalidParams;
-            $error = 1;
-        }
+    	$invalidParams = validateParameters(0);
+    	if (scalar(@$invalidParams)) {
+        	$$templateVars{'status'} = 'failure';
+        	$$templateVars{'invalidParams'} = $invalidParams;
+        	$error = 1;
+    	}
     }
 
     $$templateVars{'providerGivenName'} = normalizeCD($FORM::providerGivenName);
@@ -3809,10 +3759,10 @@
             $$templateVars{"kwType".$keyCount} = normalizeCD($keywordTypeArray->[$i]);
             $$templateVars{"kwTh".$keyCount} = normalizeCD($keywordThArray->[$i]);
             $keyCount++;
-        }
-    }
+	}    
+    }    
     $$templateVars{'keyCount'} = $keyCount;
-
+    
     $$templateVars{'addComments'} = normalizeCD($FORM::addComments);
     $$templateVars{'useConstraints'} = $FORM::useConstraints;
     if($FORM::useConstraints eq "other"){
@@ -3852,7 +3802,7 @@
     my $taxonNameArray = \@FORM::taxonName;
     my $taxonCount = 1;
 
-    for (my $i = 0; $i <= $#$taxonNameArray; $i++) {
+    for(my $i = 0; $i <= $#$taxonNameArray; $i++){
         if (hasContent($taxonRankArray->[$i]) && hasContent($taxonNameArray->[$i])) {
             debug("Registry processing keyword: trv = ".$taxonRankArray->[$i]
                     ." trn = ".$taxonNameArray->[$i]);
@@ -3859,7 +3809,7 @@
             $$templateVars{"taxonRankName".$taxonCount} = normalizeCD($taxonRankArray->[$i]);
             $$templateVars{"taxonRankValue".$taxonCount} = normalizeCD($taxonNameArray->[$i]);
             $taxonCount++;
-        }
+	}    
     }
 
     $$templateVars{'taxaCount'} = $taxonCount-1;
@@ -3877,6 +3827,7 @@
                 $$templateVars{"uploadname_$upNum"} = param("uploadname_$upNum");
                 $$templateVars{"uploadtype_$upNum"} = param("uploadtype_$upNum");
                 $$templateVars{"uploadperm_$upNum"} = param("uploadperm_$upNum");
+                  
             }
         }
     }
@@ -3895,7 +3846,6 @@
             $$templateVars{"upload_$totalFileNum"} = $fileInfo->{'fileHash'};
             $$templateVars{"uploadname_$totalFileNum"} = $fileInfo->{'fileName'};
             $$templateVars{"uploadtype_$totalFileNum"} = $fileInfo->{'contentType'};
-            $$templateVars{"uploadperm_$totalFileNum"} = param("uploadperm_$totalFileNum");
             $uploadCount++;
         }
     }
@@ -3913,8 +3863,7 @@
     $$templateVars{'origStateContact'} = $FORM::origState;
 
     $$templateVars{'showSiteList'} = $FORM::showSiteList;
-    $$templateVars{'lsite'} = $FORM::lsite;
-    $$templateVars{'usite'} = $FORM::usite;
+    $$templateVars{'site'} = $FORM::site;
     $$templateVars{'showWgList'} = $FORM::showWgList;
     $$templateVars{'showOrganization'} = $FORM::showOrganization;
     $$templateVars{'hasKeyword'} = $FORM::hasKeyword;
@@ -3938,7 +3887,7 @@
     if (! $error) {
 	# If no errors, then print out data in confirm Data template
 	$$templateVars{'section'} = "Confirm Data";
-	$template->process( $confirmDataTemplate, $templateVars);
+	$template->process( $templates->{'confirmData'}, $templateVars);
 
     } else{    
     # Errors from validation function. print the errors out using the response template
@@ -3950,7 +3899,7 @@
         # Create our HTML response and send it back
     $$templateVars{'function'} = "submitted";
     $$templateVars{'section'} = "Submission Status";
-    $template->process( $responseTemplate, $templateVars);
+    $template->process( $templates->{'response'}, $templateVars);
     }
 }
 
@@ -3972,7 +3921,7 @@
     $$templateVars{'docid'} = $FORM::docid;
 
     $$templateVars{'form'} = 're_entry';
-    $template->process( $entryFormTemplate, $templateVars);
+    $template->process( $templates->{'entry'}, $templateVars);
 }
 
 
@@ -3986,7 +3935,7 @@
     $$templateVars{'providerSurName'} = $FORM::providerSurName;
     $$templateVars{'site'} = $FORM::site;
     if ($FORM::cfg eq "nceas") {
-        my $projects = getProjectList();
+        my $projects = getProjectList($database);
         $$templateVars{'projects'} = $projects;
         $$templateVars{'wg'} = \@FORM::wg;
     }
@@ -4116,8 +4065,7 @@
     $$templateVars{'samplingDescription'} = $FORM::samplingDescription;
     
     $$templateVars{'showSiteList'} = $FORM::showSiteList;
-    $$templateVars{'lsite'} = $FORM::lsite;
-    $$templateVars{'usite'} = $FORM::usite;
+    $$templateVars{'site'} = $FORM::site;
     $$templateVars{'showWgList'} = $FORM::showWgList;
     $$templateVars{'showOrganization'} = $FORM::showOrganization;
     $$templateVars{'hasKeyword'} = $FORM::hasKeyword;
@@ -4289,7 +4237,7 @@
 sub debug {
     my $msg = shift;
     
-    if ($debug) {
+    if ($debug_enabled) {
         print STDERR "$msg\n";
     }
     else {
@@ -4306,6 +4254,7 @@
 #
 ################################################################################
 sub getProjectList {
+    my $database = shift;
     my $projects;
 
     # Check for availability AdminDB.pm, for accessing NCEAS projects
Index: src/edu/ucsb/nceas/metacat/QuerySpecification.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 4080)
@@ -38,6 +38,7 @@
 import java.util.Vector;
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 
 import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 4080)
@@ -37,7 +37,9 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /** 
  * @author dcosta
@@ -105,29 +107,30 @@
     dispatcher.forward(request, response);
   }
   
-  /**
-   * Initializes the servlet. Reads properties and initializes object fields.
-   * 
-   * @throws ServletException
-   */
-  public void init(ServletConfig config) throws ServletException {
-    ServletContext context = null;
-    String dirPath;
-    Options options = null;
+    /**
+	 * Initializes the servlet. Reads properties and initializes object fields.
+	 * 
+	 * @throws ServletException
+	 */
+	public void init(ServletConfig config) throws ServletException {
+		ServletContext context = null;
+		String dirPath;
+		Options options = null;
 
-    super.init(config);
-    context = config.getServletContext();
-    dirPath = context.getRealPath(CONFIG_DIR);
-    File propertyFile = new File(dirPath, CONFIG_NAME);
-    
-    try {
-      options = Options.initialize(propertyFile);
-    }
-    catch (IOException e) {
-      System.err.println("Error in loading options: " + e.getMessage());
-    }
-    
-    this.contextString = options.getOption("context");
-  }
+		super.init(config);
+		context = config.getServletContext();
+		dirPath = context.getRealPath(CONFIG_DIR);
+		File propertyFile = new File(dirPath, CONFIG_NAME);
 
+		try {
+			options = Options.initialize(propertyFile);
+			this.contextString = PropertyService.getProperty("application.context");
+		} catch (IOException e) {
+			System.err.println("Error in loading options: " + e.getMessage());
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("couldn't read property during initialization: " 
+					+ pnfe.getMessage());
+		}
+
+	}
 }
\ No newline at end of file
Index: src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 4080)
@@ -37,7 +37,10 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /** 
  * @author dcosta
@@ -121,28 +124,28 @@
 
 
   /**
-   * Initializes the servlet. Reads properties and initializes object fields.
-   * 
-   * @throws ServletException
-   */
-  public void init(ServletConfig config) throws ServletException {
-	ServletContext context = null;
-    String dirPath;
-    Options options = null;
+	 * Initializes the servlet. Reads properties and initializes object fields.
+	 * 
+	 * @throws ServletException
+	 */
+	public void init(ServletConfig config) throws ServletException {
+		ServletContext context = null;
+		String dirPath;
+		Options options = null;
 
-    super.init(config);
-    context = config.getServletContext();
-    dirPath = context.getRealPath(CONFIG_DIR);
-    File propertyFile = new File(dirPath, CONFIG_NAME);
-    
-    try {
-      options = Options.initialize(propertyFile);
-    }
-    catch (IOException e) {
-      System.err.println("Error in loading options: " + e.getMessage());
-    }
-    
-    this.contextString = options.getOption("context");
-  }
+		super.init(config);
+		context = config.getServletContext();
+		dirPath = context.getRealPath(CONFIG_DIR);
+		File propertyFile = new File(dirPath, CONFIG_NAME);
 
+		try {
+			options = Options.initialize(propertyFile);
+			this.contextString = PropertyService.getProperty("application.context");
+		} catch (IOException e) {
+			System.err.println("Error in loading options: " + e.getMessage());
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("couldn't read property during initialization: "
+					+ pnfe.getMessage());
+		}
+	}
 }
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java	(revision 4080)
@@ -45,7 +45,7 @@
 import java.net.URL;
 import java.net.MalformedURLException;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.service.PropertyService;
 
 /**
  * Class providing direct read/write access to the
@@ -59,8 +59,8 @@
   private static FeatureStore featureStore = null;
  
   
-  //public String polygonShpUri = MetaCatUtil.getOption("certPath") + "data/metacat_shps/data_bounds.shp";
-  //public String pointShpUri = MetaCatUtil.getOption("certPath")+ "data/metacat_shps/data_points.shp";
+  //public String polygonShpUri = PropertyService.getProperty("certPath") + "data/metacat_shps/data_bounds.shp";
+  //public String pointShpUri = PropertyService.getProperty("certPath")+ "data/metacat_shps/data_points.shp";
 
   FeatureCollection polygonCollection = FeatureCollections.newCollection();
   FeatureCollection pointCollection = FeatureCollections.newCollection();
